spring.devtools.livereload.enabled=true

#file upload
spring.servlet.multipart.location=C:\\kcgFileManager
spring.servlet.multipart.max-file-size=200MB
spring.servlet.multipart.max-request-size=500MB

#thymeleaf
spring.thymeleaf.prefix=classpath:templates/
spring.thymeleaf.check-template-location=true
spring.thymeleaf.suffix=.html
spring.thymeleaf.mode=HTML
spring.thymeleaf.cache=false

#mariaDB & log4jdbc
spring.datasource.driverClassName=net.sf.log4jdbc.sql.jdbcapi.DriverSpy
spring.datasource.url=ENC(yjSB3S7x1Gq0ir51/Fb3j1IX6b5uS6BfuPh1Wq1rRcrTCOBfldjTV39VSbRqGk+Z1/HGkGQK9JPFyjHEqu3P8nBbqLbu6GIgrbe2gmx2O9e0Ut3Sb4lG/ox144z6YQ9rpQMImi8xJ/JyNF9qlD6jkg==)
spring.datasource.username=ENC(9GbdvLyouOcP1EPo+5FO/A==)
spring.datasource.password=ENC(k09thSYoBJ2rLkhORLahdJBiVd58slqN)
#spring.datasource.url=jdbc:log4jdbc:mariadb://118.219.150.34:50504/kcgFileManager?characterEncoding=UTF-8&serverTimezone=UTC
#spring.datasource.username=root
#spring.datasource.password=dbnt0928!

#jpa
spring.jpa.show-sql=true
spring.jpa.generate-ddl=false
spring.jpa.hibernate.naming.physical-strategy = org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

# MyBatis
mybatis.mapper-locations: mybatisMapper/**/*.xml
mybatis.configuration.map-underscore-to-camel-case=true
mybatis.type-aliases-package=com.dbnt.kcgfilemanager.model
logging.level.com.atoz_develop.mybatissample.repository=TRACE